# List Webhooks (/api-reference/list-webhooks)

<!-- agent-signals: reading_time_min: 2 · est_tokens: 1221 · updated: 2026-09-06 -->
Related: [List Inboxes](/api-reference/list-inboxes.md), [Create Inbox](/api-reference/create-inbox.md), [Get Inbox](/api-reference/get-inbox.md), [Update Inbox](/api-reference/update-inbox.md), [Delete Inbox](/api-reference/delete-inbox.md), [List Pods](/api-reference/list-pods.md)

# List Webhooks

`GET /v0/webhooks`

List Webhooks

## OpenAPI

```json
{
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "parameters": [
    {
      "name": "limit",
      "in": "query",
      "required": false,
      "schema": {
        "title": "Limit",
        "type": "integer",
        "description": "Limit of number of items returned."
      }
    },
    {
      "name": "page_token",
      "in": "query",
      "required": false,
      "schema": {
        "title": "PageToken",
        "type": "string",
        "description": "Page token for pagination."
      }
    }
  ],
  "responses": {
    "200": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "webhooksListWebhooksResponse",
            "type": "object",
            "properties": {
              "count": {
                "title": "Count",
                "type": "integer",
                "description": "Number of items returned."
              },
              "limit": {
                "title": "Limit",
                "type": "integer",
                "description": "Limit of number of items returned."
              },
              "next_page_token": {
                "title": "PageToken",
                "type": "string",
                "description": "Page token for pagination."
              },
              "webhooks": {
                "type": "array",
                "items": {
                  "title": "webhooksWebhook",
                  "type": "object",
                  "properties": {
                    "webhook_id": {
                      "title": "webhooksWebhookId",
                      "type": "string",
                      "description": "ID of webhook."
                    },
                    "url": {
                      "title": "webhooksUrl",
                      "type": "string",
                      "description": "URL of webhook endpoint."
                    },
                    "event_types": {
                      "title": "EventTypes",
                      "type": "array",
                      "items": {
                        "title": "EventType",
                        "type": "string",
                        "enum": [
                          "message.received",
                          "message.sent",
                          "message.delivered",
                          "message.bounced",
                          "message.complained",
                          "message.rejected",
                          "domain.verified"
                        ]
                      },
                      "description": "Event types for which to send events."
                    },
                    "pod_ids": {
                      "title": "PodIds",
                      "type": "array",
                      "items": {
                        "type": "string"
                      },
                      "description": "Pods for which to send events. Maximum 10 per webhook."
                    },
                    "inbox_ids": {
                      "title": "InboxIds",
                      "type": "array",
                      "items": {
                        "type": "string"
                      },
                      "description": "Inboxes for which to send events. Maximum 10 per webhook."
                    },
                    "secret": {
                      "type": "string",
                      "description": "Secret for webhook signature verification."
                    },
                    "enabled": {
                      "type": "boolean",
                      "description": "Webhook is enabled."
                    },
                    "updated_at": {
                      "type": "string",
                      "format": "date-time",
                      "description": "Time at which webhook was last updated."
                    },
                    "created_at": {
                      "type": "string",
                      "format": "date-time",
                      "description": "Time at which webhook was created."
                    },
                    "client_id": {
                      "title": "webhooksClientId",
                      "type": "string",
                      "description": "Client ID of webhook."
                    }
                  },
                  "required": [
                    "webhook_id",
                    "url",
                    "secret",
                    "enabled",
                    "updated_at",
                    "created_at"
                  ]
                },
                "description": "Ordered by `created_at` descending."
              }
            },
            "required": [
              "count",
              "webhooks"
            ]
          }
        }
      }
    }
  }
}
```
